Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Plugin Development Environment (PDE) » Alternatives to update sites for plugin distribution?
Alternatives to update sites for plugin distribution? [message #36524] Tue, 09 December 2008 23:35 Go to next message
John J. Barton is currently offline John J. BartonFriend
Messages: 311
Registered: July 2009
Senior Member
I want to distribute some plugins but I can't get update sites from
eclipse to work.

Back in the day plugins could be loaded by copying the jar files into
the eclipse plugins directory.

Is that still the case?

I think I can save a lot of time by using ant to zip my plugins and
having users unzip them into the plugins directory. I guess a plugin is
just a zip file with a certain structure. Is that documented?

Thanks,
John.
Re: Alternatives to update sites for plugin distribution? [message #36559 is a reply to message #36524] Wed, 10 December 2008 00:51 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: zx.code9.com

John J Barton wrote:
> I want to distribute some plugins but I can't get update sites from
> eclipse to work.
>
> Back in the day plugins could be loaded by copying the jar files into
> the eclipse plugins directory.
>
> Is that still the case?
>
> I think I can save a lot of time by using ant to zip my plugins and
> having users unzip them into the plugins directory. I guess a plugin is
> just a zip file with a certain structure. Is that documented?
>
> Thanks,
> John.

Which version of Eclipse?

Define "not working" ?

Cheers,

~ Chris
Re: Alternatives to update sites for plugin distribution? [message #36593 is a reply to message #36559] Wed, 10 December 2008 00:55 Go to previous messageGo to next message
John J. Barton is currently offline John J. BartonFriend
Messages: 311
Registered: July 2009
Senior Member
Chris Aniszczyk wrote:
> John J Barton wrote:
>> I want to distribute some plugins but I can't get update sites from
>> eclipse to work.
>>
>> Back in the day plugins could be loaded by copying the jar files into
>> the eclipse plugins directory.
>>
>> Is that still the case?
>>
>> I think I can save a lot of time by using ant to zip my plugins and
>> having users unzip them into the plugins directory. I guess a plugin
>> is just a zip file with a certain structure. Is that documented?
>>
>> Thanks,
>> John.
>
> Which version of Eclipse?

3.4.1

>
> Define "not working" ?

I get error messages I can't understand, so I can't fix the problems.

>
> Cheers,
>
> ~ Chris
Re: Alternatives to update sites for plugin distribution? [message #36627 is a reply to message #36593] Wed, 10 December 2008 01:02 Go to previous messageGo to next message
John J. Barton is currently offline John J. BartonFriend
Messages: 311
Registered: July 2009
Senior Member
John J Barton wrote:
> Chris Aniszczyk wrote:
>> John J Barton wrote:
>>> I want to distribute some plugins but I can't get update sites from
>>> eclipse to work.
>>>
>>> Back in the day plugins could be loaded by copying the jar files into
>>> the eclipse plugins directory.
>>>
>>> Is that still the case?
>>>
>>> I think I can save a lot of time by using ant to zip my plugins and
>>> having users unzip them into the plugins directory. I guess a plugin
>>> is just a zip file with a certain structure. Is that documented?
>>>
>>> Thanks,
>>> John.
>>
>> Which version of Eclipse?
>
> 3.4.1
>
>>
>> Define "not working" ?
>
> I get error messages I can't understand, so I can't fix the problems.
eg

Cannot complete the request. See the details.
Unsatisfied dependency: [org.eclipse.platform.ide 3.4.0.M20080911-1700]
requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.group /[3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotq su,3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utot qsu]
Re: Alternatives to update sites for plugin distribution? [message #37104 is a reply to message #36627] Thu, 11 December 2008 18:37 Go to previous message
John J. Barton is currently offline John J. BartonFriend
Messages: 311
Registered: July 2009
Senior Member
John J Barton wrote:
>> I get error messages I can't understand, so I can't fix the problems.
> eg
>
> Cannot complete the request. See the details.
> Unsatisfied dependency: [org.eclipse.platform.ide 3.4.0.M20080911-1700]
> requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.group /[3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotq su,3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utot qsu]
>

I guess that this cryptography is from a new thing called "p2"

http://wiki.eclipse.org/Equinox_p2_Getting_Started

Has no one else had problems like this? How could I be so special ;-)

At the bottom of the page is a section: "Removing p2". I wonder if this
is what I should ask our users to do?



jjb
Re: Alternatives to update sites for plugin distribution? [message #586732 is a reply to message #36524] Wed, 10 December 2008 00:51 Go to previous message
Chris Aniszczyk is currently offline Chris AniszczykFriend
Messages: 674
Registered: July 2009
Senior Member
John J Barton wrote:
> I want to distribute some plugins but I can't get update sites from
> eclipse to work.
>
> Back in the day plugins could be loaded by copying the jar files into
> the eclipse plugins directory.
>
> Is that still the case?
>
> I think I can save a lot of time by using ant to zip my plugins and
> having users unzip them into the plugins directory. I guess a plugin is
> just a zip file with a certain structure. Is that documented?
>
> Thanks,
> John.

Which version of Eclipse?

Define "not working" ?

Cheers,

~ Chris
Re: Alternatives to update sites for plugin distribution? [message #586745 is a reply to message #36559] Wed, 10 December 2008 00:55 Go to previous message
John J. Barton is currently offline John J. BartonFriend
Messages: 311
Registered: July 2009
Senior Member
Chris Aniszczyk wrote:
> John J Barton wrote:
>> I want to distribute some plugins but I can't get update sites from
>> eclipse to work.
>>
>> Back in the day plugins could be loaded by copying the jar files into
>> the eclipse plugins directory.
>>
>> Is that still the case?
>>
>> I think I can save a lot of time by using ant to zip my plugins and
>> having users unzip them into the plugins directory. I guess a plugin
>> is just a zip file with a certain structure. Is that documented?
>>
>> Thanks,
>> John.
>
> Which version of Eclipse?

3.4.1

>
> Define "not working" ?

I get error messages I can't understand, so I can't fix the problems.

>
> Cheers,
>
> ~ Chris
Re: Alternatives to update sites for plugin distribution? [message #586753 is a reply to message #36593] Wed, 10 December 2008 01:02 Go to previous message
John J. Barton is currently offline John J. BartonFriend
Messages: 311
Registered: July 2009
Senior Member
John J Barton wrote:
> Chris Aniszczyk wrote:
>> John J Barton wrote:
>>> I want to distribute some plugins but I can't get update sites from
>>> eclipse to work.
>>>
>>> Back in the day plugins could be loaded by copying the jar files into
>>> the eclipse plugins directory.
>>>
>>> Is that still the case?
>>>
>>> I think I can save a lot of time by using ant to zip my plugins and
>>> having users unzip them into the plugins directory. I guess a plugin
>>> is just a zip file with a certain structure. Is that documented?
>>>
>>> Thanks,
>>> John.
>>
>> Which version of Eclipse?
>
> 3.4.1
>
>>
>> Define "not working" ?
>
> I get error messages I can't understand, so I can't fix the problems.
eg

Cannot complete the request. See the details.
Unsatisfied dependency: [org.eclipse.platform.ide 3.4.0.M20080911-1700]
requiredCapability:
org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.group /[3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotq su,3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utot qsu]
Re: Alternatives to update sites for plugin distribution? [message #586951 is a reply to message #36627] Thu, 11 December 2008 18:37 Go to previous message
John J. Barton is currently offline John J. BartonFriend
Messages: 311
Registered: July 2009
Senior Member
John J Barton wrote:
>> I get error messages I can't understand, so I can't fix the problems.
> eg
>
> Cannot complete the request. See the details.
> Unsatisfied dependency: [org.eclipse.platform.ide 3.4.0.M20080911-1700]
> requiredCapability:
> org.eclipse.equinox.p2.iu/org.eclipse.platform.feature.group /[3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utotq su,3.4.1.r341_v20080731-9I96EiDElYevwz-p1bP5z-NlAaP7vtX6Utot qsu]
>

I guess that this cryptography is from a new thing called "p2"

http://wiki.eclipse.org/Equinox_p2_Getting_Started

Has no one else had problems like this? How could I be so special ;-)

At the bottom of the page is a section: "Removing p2". I wonder if this
is what I should ask our users to do?



jjb
Previous Topic:Transitive dependencies and optional plugins [was: IStatus not found at runtime]
Next Topic:Problem using © character
Goto Forum:
  


Current Time: Sat Sep 18 08:56:06 GMT 2021

Powered by FUDForum. Page generated in 0.01654 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top